# FdoIAcquireLock Class Reference

`#include <IAcquireLock.h>`

Inheritance diagram for FdoIAcquireLock:

[legend]

List of all members.

## Detailed Description

The FdoIAcquireLock interface locks feature instances of a given class that match the specified criteria. Input to the acquire lock command includes the name of the class, the lock type, the lock strategy, and filter criteria by which to identify the instances to be locked. The filter may be specified either as text or as an expression tree (most likely produced by a query builder). The lock type value is one of.

- FdoLockType_Shared

- FdoLockType_Exclusive

- FdoLockType_Transaction

- FdoLockType_LongTransactionExclusive

- FdoLockType_AllLongTransactionExclusive

Remarks:
  If the lock strategy has a value of all and at least one of the feature instances specified in the filter is locked by someone else, the command returns an FdoILockConflictReader list which contains all of the feature instances specified in the filter.

If the lock strategy has a value of partial, the command returns an FdoILockConflictReader list which contains all of the feature instances specified in the filter that are already locked by someone else. The command returns an empty FdoILockConflictReader list if all of the feature instances specified in the filter were successfully locked.

Definition at line 55 of file IAcquireLock.h.

## Public Member Functions
virtual FDO_API FdoILockConflictReader * | Execute ()=0
| Executes the AcquireLock command, returning an FdoILockConflictReader.
virtual FDO_API FdoLockStrategy | GetLockStrategy ()=0
| Gets the FdoLockStrategy value.
virtual FDO_API FdoLockType | GetLockType ()=0
| Gets the FdoLockType value.
virtual FDO_API void | SetLockStrategy (FdoLockStrategy value)=0
| Sets the FdoLockStrategy value (all or partial).
virtual FDO_API void | SetLockType (FdoLockType value)=0
| Sets the FdoLockType value.
## Friends
class | FdoIConnection

The documentation for this class was generated from the following file:

- IAcquireLock.h